Skip to content
Skip to main content
PUT
/v3/grants/{grant_id}/threads/{thread_id}

Update a thread

Updates the specified thread.

When you make a PUT request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

thread_id*string

ID of the thread to access. Nylas recommends you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

shared_folder_idstring

(Microsoft only) When provided, Nylas returns items from the specified shared folder ID. Required when using shared_from. This parameter only accepts a single folder ID. Check out the Shared folders guide for more information.

shared_fromstring

(Microsoft only) When provided, Nylas returns items that were shared from the specified email address. It also accepts grant ID. This parameter only accepts single email address or grant ID. Check out the Shared folders guide for more information.

Request body

starredboolean

When true, indicates that the thread is starred.

Example: true
unreadboolean

When false, indicates that all messages in the thread have been read.

Example: true
foldersarray<string>

The IDs of the folders to apply to the thread. This overwrites all previously assigned folders for all messages in the thread.

Example: ["folder-1","folder-2"]

Responses

request_idstring

The request ID.

dataobject
PUThttps://api.us.nylas.com/v3/grants/{grant_id}/threads/{thread_id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

thread_idrequiredstring

ID of the thread to access. Nylas recommends you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

shared_folder_idstring

(Microsoft only) When provided, Nylas returns items from the specified shared folder ID. Required when using shared_from. This parameter only accepts a single folder ID. Check out the Shared folders guide for more information.

shared_fromstring

(Microsoft only) When provided, Nylas returns items that were shared from the specified email address. It also accepts grant ID. This parameter only accepts single email address or grant ID. Check out the Shared folders guide for more information.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.